/* Header file for Kibological device driver */

static int beable_read(struct inode *, struct file *, char *,int);

static int beable_write(struct inode *, struct file *, const char *,int);

static int beable_ioctl(struct inode *, struct file *, unsigned int, unsigned long);

static int beable_open(struct inode *, struct file *);

static void beable_release(struct inode *, struct file *);

#define FINITE_BEABLE	/* Define this for a finite-size mouse */
#define BEABLE_MAX_INPUT	1024	

#define BEABLE_MAJOR	23
#define	BEABLE_NAME	"Beable"

#define BEABLEONES	0x2301
#define	BEABLEZORRO	0x2302
#define	BEABLEBEABLE	0x2303
#define	BEABLEDOIDY	0x2304

#define BEABLESWALLOW	0x2350


