/* A program to test the beable character device */

#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <fcntl.h>

#include "beable.h"

#define STDIN 0
#define STDOUT 1
#define STDERR 2

int main (int argc, char *argv[]) {
	int beablefd;
	char c;

	if ((argc!=2)||(argv[1][1]==0)) {
		printf("Usage: %s [-1|-z|-b|-d|-s]\n",argv[0]);
		return -1;
	}

	if ((beablefd=open("/dev/one",O_RDWR|O_NONBLOCK))<0) {
		perror("Couldn't open /dev/one");
		return -1;
	}

	switch(argv[1][1]) { /* optargs() ? ICBA. */

		case '1':
			printf("Result %d\n",ioctl(beablefd,BEABLEONES,NULL));
			break;

		case 'z':
			printf("Result %d\n",ioctl(beablefd,BEABLEZORRO,NULL));
			break;

		case 'b':
			printf("Result %d\n",ioctl(beablefd,BEABLEBEABLE,NULL));
			break;

		case 'd':
			printf("Result %d\n",ioctl(beablefd,BEABLEDOIDY,NULL));
			break;

		case 's':
			printf("Result %d\n",
				ioctl(beablefd,BEABLESWALLOW,NULL));
			break;

	}

	return 0;
}

